Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkStructuredGridToStructuredGridFilter Class Reference

`#include <vtkStructuredGridToStructuredGridFilter.h>`

Inheritance diagram for vtkStructuredGridToStructuredGridFilter:

[legend]
Collaboration diagram for vtkStructuredGridToStructuredGridFilter:

[legend]
List of all members.

## Detailed Description

abstract filter class

Date:
  2002/10/04 20:43:44

Revision:
  1.29

vtkStructuredPointsToStructuredPointsFilter is an abstract filter class whose subclasses take on input a structured grid and generate a structured grid on output.

See also:
  vtkExtractGrid

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (72%)
  - Lorensen, Bill (10%)
  - Cedilnik, Andy (8%)
  - Martin, Ken (7%)

CVS logs (CVSweb):
  - .`cxx` (`/Filtering/vtkStructuredGridToStructuredGridFilter.cxx)`
  - .`h` (`/Filtering/vtkStructuredGridToStructuredGridFilter.h)`

Definition at line 48 of file vtkStructuredGridToStructuredGridFilter.h.

## Public Types
typedef vtkStructuredGridSource | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | SetInput (vtkStructuredGrid *input)
vtkStructuredGrid * | GetInput ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkStructuredGridToStructuredGridFilter * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkStructuredGridToStructuredGridFilter ()
| ~vtkStructuredGridToStructuredGridFilter ()

## Member Typedef Documentation

typedef vtkStructuredGridSource vtkStructuredGridToStructuredGridFilter::Superclass

| Reimplemented from vtkStructuredGridSource. Reimplemented in vtkBlankStructuredGrid, vtkBlankStructuredGridWithImage, and vtkExtractGrid. Definition at line 51 of file vtkStructuredGridToStructuredGridFilter.h.

## Constructor & Destructor Documentation

vtkStructuredGridToStructuredGridFilter::vtkStructuredGridToStructuredGridFilter | ( |  | ) | `[inline, protected]`

| Definition at line 61 of file vtkStructuredGridToStructuredGridFilter.h.

vtkStructuredGridToStructuredGridFilter::~vtkStructuredGridToStructuredGridFilter | ( |  | ) | `[inline, protected]`

| Definition at line 62 of file vtkStructuredGridToStructuredGridFilter.h.

## Member Function Documentation

virtual const char* vtkStructuredGridToStructuredGridFilter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkStructuredGridSource. Reimplemented in vtkBlankStructuredGrid, vtkBlankStructuredGridWithImage, and vtkExtractGrid.

int vtkStructuredGridToStructuredGridFilter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkStructuredGridSource. Reimplemented in vtkBlankStructuredGrid, vtkBlankStructuredGridWithImage, and vtkExtractGrid.

virtual int vtkStructuredGridToStructuredGridFilter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkStructuredGridSource. Reimplemented in vtkBlankStructuredGrid, vtkBlankStructuredGridWithImage, and vtkExtractGrid.

vtkStructuredGridToStructuredGridFilter* vtkStructuredGridToStructuredGridFilter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkStructuredGridSource. Reimplemented in vtkBlankStructuredGrid, vtkBlankStructuredGridWithImage, and vtkExtractGrid.

void vtkStructuredGridToStructuredGridFilter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkStructuredGridSource. Reimplemented in vtkBlankStructuredGrid, vtkBlankStructuredGridWithImage, and vtkExtractGrid.

void vtkStructuredGridToStructuredGridFilter::SetInput | ( | vtkStructuredGrid * | input | ) |

| Set / get the input Grid or filter.

vtkStructuredGrid* vtkStructuredGridToStructuredGridFilter::GetInput | ( |  | ) |

| Set / get the input Grid or filter.

The documentation for this class was generated from the following file:

- Filtering/vtkStructuredGridToStructuredGridFilter.h